Arvados - Bug #4589

[API] Problem connecting using Firefox
11/19/2014 02:41 PM - Peter Amstutz

Status: Resolved Start date: 12/03/2014
Priority: Normal Due date:

Assigned To: Peter Amstutz % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2014-12-10 sprint

Description

Firefox 31+ increased SSL certificate checking in a way that seems to silently break on our self-signed development/test certificates.
(I thought this was due to MD5 but on further investigation the certs are using either SHA1 or SHA256.)

Figure out what is causing this and adjust certificate generation to fix it.

A This is wrong.

Subtasks:
Task # 4711: Find workaround Resolved

History

#1 - 11/19/2014 02:43 PM - Peter Amstutz

- Description updated

#2 - 11/19/2014 02:44 PM - Peter Amstutz

The in the meantime we can use the workaround described here:

http://www-01.ibm.com/support/docview.wss?uid=swg21680147&myns=swglotus&mynp=0OCSSKTMJ&mync=R

#3 - 11/19/2014 07:14 PM - Ward Vandewege

- Subject changed from [API] SSL certs used for development/testing should be signed with SHA1 instead of MD5 to [API] SSL certs used for
development/testing should be signed with SHAZ2 instead of MD5

#4 - 11/19/2014 08:25 PM - Ward Vandewege
- Target version changed from Bug Triage to 2014-12-10 sprint

#5 - 11/19/2014 08:36 PM - Ward Vandewege
- Story points set to 0.5

#6 - 11/19/2014 08:48 PM - Peter Amstutz

- Assigned To set to Peter Amstutz

#7 - 11/20/2014 04:37 PM - Peter Amstutz

- Subject changed from [API] SSL certs used for development/testing should be signed with SHAZ instead of MD5 to [API] SSL certs used for
development/testing are invalid when used with Firefox

- Description updated

#8 - 11/21/2014 08:14 PM - Peter Amstutz

This is a Firefox problem:

https://bugzilla.mozilla.org/show_bug.cgi?id=1042889

Also | filed a Debian bug report:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=770508

It may be best to just wait and see if this gets fixed than fiddle too much with our testing infrastructure.
#9 - 12/03/2014 03:34 PM - Peter Amstutz
Next step is to try this: https://developer.mozilla.org/en-US/docs/Mozilla/Debugging/HTTP_logging

#10 - 12/03/2014 04:29 PM - Peter Amstutz

As far as | can tell, the problem is simply that Firefox has gotten in its head that connections to localhost:3001 should go into a black hole. Here's the
workaround:

cd ~/.mozilla/firefox/xxxxx.default
mv cert8.db cert8.db.old

#11 - 12/03/2014 05:21 PM - Peter Amstutz
- Subject changed from [API] SSL certs used for development/testing are invalid when used with Firefox to [API] Problem connecting using Firefox

- Description updated

See note on Debian bug report:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=770508#20

#12 - 12/03/2014 05:21 PM - Peter Amstutz

Since we have a workaround I'm going to mark this as resolved.

#13 - 12/03/2014 05:22 PM - Peter Amstutz

- Status changed from New to Resolved
